function [conv, div] = propshot(staterange, Param, iter)

T = Param(1);
W = Param(2);
L = Param(3); % Max Distance
K = Param(4);
%ninit = Param(6);
w = sqrt(9.81/(L/2));

zcommin = staterange(1);
zcommax = staterange(2);
zcomstep = staterange(3);
zcmin = staterange(4);
zcmax = staterange(5);
zcstep = staterange(6);

A = [cosh(w*T) sinh(w*T)/w 0; w*sinh(w*T) cosh(w*T) 0; 0 0 1];

A2 = [K*cosh(w*T) + (K+1)*sinh(w*T), (K+1)/w*cosh(w*T)+K/w*sinh(w*T), -K;
         -w*sinh(w*T), -cosh(w*T), 0;
         (K+1)*(cosh(w*T) + sinh(w*T)), (K+1)/w*(cosh(w*T)+sinh(w*T)), -K-1];

bz = W/((exp(w*T)+1)/(1 - K/2*(exp(w*T) - 1)));
%C = (k+1) * [1 1/w; 0 0];
%I2 = eye(2);
%B = A + (I2-A)*C;
%D = I2 - A;

const = bz/(K - K*exp(w*T) + 2);
Zstar = const * (exp(w*T) + 1);
VZstar = -const * (w*(exp(w*T) - 1));

%b1 = [bz; 0];
%kz = [k*zc; 0];

conv = [];
div = [];

%for j = [zmin:zstep:zmax, Zstar]
for j = zcommin:zcomstep:zcommax

    %for k = [vzmin:vzstep:vzmax, VZstar]
    for k = zcmin:zcstep:zcmax
        zstate = [j; 0; k];
        flag = true;
        i = 1;

        while i <= iter && flag == true
           
            width = (K+1)*exp(w*T)*zstate(1) + (K+1)/w*exp(w*T)*zstate(2)-K*zstate(3) + bz;

            zstate = A2*zstate + [bz; 0; bz];
            
            if (width < 0 || width > L)

                flag = false;
                div = [div; j, k];

            end

            i = i + 1;

        end
        


        if flag == true

            conv = [conv; j, k];

        end

        flag = false;
        
    end

end




end